function Delta = DeltaCleanHeuristic(Days, Customers, Castingtables, Products, aMosel, CostUnitTransportation)

Delta = aMosel;

for t = 1:length(Days)
    for c = 1:length(Customers)
        for p = 1:length(Products)
            if sum(Delta(c, :, p, t)) > 1           
                tempRanked = CostUnitTransportation(c, :).*Delta(c, :, p, t);
                for m = 1:length(Castingtables)
                    if tempRanked(m) == 0
                        tempRanked(m) = 9999;
                    end
                end
                Delta(c, :, p, t) = zeros(length(Castingtables), 1);
                [value, bestTable] = min(tempRanked);
                if value > 0
                    Delta(c, bestTable, p, t) = 1;
                end
            end
        end
    end
end

end


                