function [breakpoints, samplePassed, sampleLow] = Fbreakpoints(O_Customers, O_Product, SampleMinimum)
%Find customer-product combinations
breakpoints(1) = 0;
b = 2;

for i = 2:length(O_Product)
    if O_Product(i) ~= O_Product(i - 1) || O_Customers(i) ~= O_Customers(i - 1) 
        breakpoints(b) = i;
        b = b + 1;
    end
end

samplePassed = zeros(1, length(breakpoints));
sampleLow = zeros(1, length(breakpoints));
sP = 1;
sL = 1;


for i = 2:length(breakpoints)
    if breakpoints(i) - breakpoints(i - 1) < SampleMinimum
        sampleLow(sL) = i;
        sL = sL + 1;
    else
        samplePassed(sP) = i;
        sP = sP + 1;
    end
end
        
%fjerner nullene
samplePassed(samplePassed == 0) = [];
sampleLow(sampleLow == 0) = [];        


end

